( function( $ ) {
    /**
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */
    var KngTabsHandler = function( $scope, $ ) {
        $scope.find(".kng-tab-title").on("click", function(e){  
            e.preventDefault();
            var target = $(this).data("target"); 
            var parent = $(this).parents(".kng-tabs");
            parent.find(".kng-tab-content").hide().removeClass('active');
            parent.find(".kng-tab-title").removeClass('active');
            $(this).addClass("active");
            $(target).show().addClass('active');
            //$(target).find('.kng-tab-title[data-target="'+target+'"]').addClass('active');
        });
    };
    var KngSpeakerTabsHandler = function( $scope, $ ) {
        $scope.find(".kng-speaker-wrap .kng-tab-title").on("click", function(e){  
            e.preventDefault();
            var target = $(this).data("target"); 
            var parent = $(this).parents(".kng-speaker-wrap");
            parent.find(".kng-tab-title").removeClass('active');
            parent.find(".kng-tab-content").css({'opacity':'0','visibility':'hidden','height':'0'});
            $(this).addClass("active");
            $(target).css({'opacity':'1','visibility':'visible','height':'auto'});
            //$(target).find('.kng-tab-title[data-target="'+target+'"]').addClass('active');
        });
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/kng_tabs.default', KngTabsHandler );
        elementorFrontend.hooks.addAction( 'frontend/element_ready/kng_event_speaker.default', KngSpeakerTabsHandler );
    } );
} )( jQuery );