<?php
// Heading
$widget->add_render_attribute( 'heading', 'class', 'kng-mainheading empty-none mb-25');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', '1e4873'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'kng-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
?>
<h3 <?php kng_print_html($widget->get_render_attribute_string('heading'));?>><?php 
    kng_print_html($settings['heading_text']);
?></h3>
<div class="kng-client-slider kng-swiper-sliders">
    <div class="kng-swiper-slider-wrap">
        <div <?php cetara_swiper_slider_settings($widget, ['class' => 'no-shadow']); ?>>
            <?php cetara_swiper_slider_arrows_top($settings); ?>
            <div class="kng-swiper-wrapper swiper-wrapper align-items-center">
                <?php foreach ($settings['clients'] as $value): ?>
                    <div class="kng-client-item kng-swiper-slide swiper-slide">
                        <a <?php echo cetara_elementor_custom_link_attrs($value, [
                            'name' => 'image_link',
                            'echo' => true,
                            'class' => 'd-block text-center'
                        ]);?>>
                            <?php
                                cetara_elementor_image_render($settings, $widget, [
                                    'id'            => 'selected_img',
                                    'attachment_id' => $value['selected_img']['id']
                                ], $value);
                            ?>
                        </a>
                    </div>
                <?php endforeach; ?>
            </div>
            <?php 
                cetara_swiper_slider_dots($settings); 
                cetara_swiper_slider_arrows($settings);
                cetara_swiper_slider_arrows_bottom($settings);
                cetara_swiper_slider_arrows_side($settings);
            ?>
        </div>
    </div>
</div>