<?php
$html_id = kng_get_element_id($settings);
  
$query_type = $widget->get_setting('query_type', 'recent_product');
$post_per_page = $widget->get_setting('post_per_page', 2);
$product_ids = $widget->get_setting('product_ids', '');
$categories = $widget->get_setting('taxonomies', '');
$categories_exclude = $widget->get_setting('taxonomies_exclude', '');
$param_args=[];
  
$loop = cetara_woocommerce_query($query_type,$post_per_page,$product_ids,$categories,$categories_exclude,$param_args);
extract($loop);
 
$layout = $settings['layout'];
  
?>

<div class="kng-product-grid layout-<?php echo esc_attr($layout) ?>">
    <?php if(!empty($settings['heading'])): ?>
        <div class="kng-product-grid-heading h3"><?php kng_print_html($settings['heading'])?></div> 
    <?php endif; ?>
    <div class="kng-product-grid-inner products">
         
        <?php
            $d = 0;
            while ($posts->have_posts()) {
                $posts->the_post();
                global $product;
                $d++;
                  
                $style = 'style="';
                $style .= 'animation-delay:'.($d * 20).'ms;';
                $style .= '"'; 

                ?>
                <div class="kng-product-grid-item product" <?php kng_print_html($style); ?>>

                    <?php
                        do_action( 'woocommerce_before_shop_loop_item' );
                        do_action( 'woocommerce_before_shop_loop_item_title' );
                        do_action( 'woocommerce_shop_loop_item_title' );
                        do_action( 'woocommerce_after_shop_loop_item_title' );
                        do_action( 'woocommerce_after_shop_loop_item' );
                    ?>
                     
                </div>
            <?php 
            }  
           
        wp_reset_postdata();
        ?>
    </div>
</div>