<?php
/* Create Demo Data */
if(!function_exists('cetara_enable_export_mode')){
	add_filter('kng_ie_export_mode', 'cetara_enable_export_mode');
	function cetara_enable_export_mode() {
	    return false;
	}
}

add_action( 'kng-ie-import-finish', 'cetara_update_el_default_kit_option' );
function cetara_update_el_default_kit_option(){
	$kit_id = cetara_get_id_by_slug('default-kit', 'elementor_library'); 
	if(!empty($kit_id))
		update_option( 'elementor_active_kit', $kit_id, 'yes' );
}


add_action('kng-ie-import-start','cetara_removed_widgets', 10, 2);
function cetara_removed_widgets(){
    global $wp_registered_sidebars;

    $widgets = get_option('sidebars_widgets');

    foreach ($wp_registered_sidebars as $sidebar => $value) {
        unset($widgets[$sidebar]);
    }

    update_option('sidebars_widgets',$widgets);  
    update_option('permalink_structure', '');
}