<?php
// Add custom field to column
if(!function_exists('cetara_custom_column_params')){
    add_filter('kng-custom-column/custom-params', 'cetara_custom_column_params');
    function cetara_custom_column_params(){
        return array(
            'sections' => array(
                array(
					'name'     => 'custom_section',
					'label'    => esc_html__( 'Custom Settings', 'cetara' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
                        array(
                            'name'    => 'element_auto_width',
                            'label'   => esc_html__( 'Element Auto Width', 'cetara' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => array(
                                'default'           => esc_html__( 'Default', 'cetara' ),
                                'auto'   => esc_html__( 'Auto', 'cetara' ),
                                'col-12 col-lg-10 col-xl-8'   => esc_html__( 'Col xl 8', 'cetara' )
                            ),
                            'control_type' => 'responsive',
                            'label_block'  => true, 
                            'default'      => 'default',
                            'prefix_class' => 'kng-column-element%s-'
                        )

                    )
                )
            )
        );
    }
}