<?php

class KngIconText_Widget extends Kngtheme_Core_Widget_Base{
    protected $name = 'kng_icon_text';
    protected $title = 'KNG Icon Text';
    protected $icon = 'eicon-alert';
    protected $categories = array( 'kngtheme-core' );
    protected $params = '{"sections":[{"name":"section_icon","label":"Icons","tab":"content","controls":[{"name":"kng_icon","label":"Icon","type":"icons","fa4compatibility":"icon","default":{"value":"fas fa-star","library":"fa-solid"}},{"name":"icon_color","label":"Icon Color (not svg)","type":"color","default":"","selectors":{"{{WRAPPER}} .kng-icon":"color: {{VALUE}};"}},{"name":"icon_typography","label":"Icon Typography (not svg)","type":"typography","control_type":"group","selector":"{{WRAPPER}} .kng-icon"},{"name":"icon_space","label":"Icon Spacer","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .kng-icon":"margin-right: {{SIZE}}{{UNIT}};"}},{"name":"icon_width","label":"Icon Width (px)","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .kng-icon,{{WRAPPER}} .kng-icon-text svg":"width: {{SIZE}}{{UNIT}};"}},{"name":"ic_text","label":"Text","type":"text","label_block":true,"default":"Welcome to Cetara book store.","separator":"before"},{"name":"text_color","label":"Text Color","type":"color","label_block":true,"selector":{"{{WRAPPER}} .kng-icon-text .icon-text":"color:{{VALUE}};"}},{"name":"text_typography","label":"Text Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .kng-icon-text .icon-text"},{"name":"item_link","label":"Link","type":"url","placeholder":"https:\/\/your-link.com","default":{"url":"","is_external":"on"}},{"name":"align","label":"Alignment","type":"choose","control_type":"responsive","options":{"flex-start":{"title":"Start","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"flex-end":{"title":"End","icon":"eicon-text-align-right"}},"selectors":{"{{WRAPPER}} .kng-icon-text":"justify-content: {{VALUE}};"}}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}