<?php
if(!class_exists('TRP_Translate_Press')) return;
// Register Post Grid Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_language_switcher',
        'title'      => esc_html__( 'KNG Languae Switcher', 'cetara' ),
        'icon'       => 'eicon-posts-carousel',
        'categories' => array('kngtheme-core'),
        'scripts'    => [],
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Items Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                'label' => esc_html__( 'Layout 1', 'cetara' ),
                                'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/default.jpg'
                            ],
                            'prefix_class' => 'kng-ls-layout-'
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);