<?php
$content_align = cetara_get_class_breakpoints($settings, [
    'prefix' => 'align',
    'type-prefix' => 'justify-content-',
]); 
// anchor class
$widget->add_render_attribute('anchor', 'class', 'kng-anchor side-panel d-flex align-items-center');
$widget->add_render_attribute('anchor', 'class', 'text-15 font-500');
$widget->add_render_attribute('anchor', 'class', 'text-'.$widget->get_setting('text_color','white'));
$widget->add_render_attribute('anchor', 'class', 'text-hover-'.$widget->get_setting('text_hover_color','white'));
$widget->add_render_attribute('anchor', 'class', 'bg-'.$widget->get_setting('icon_bg_color',''));
$widget->add_render_attribute('anchor', 'class', 'bg-hover-'.$widget->get_setting('icon_bg_hover_color',''));
?>
<div class="kng-anchor-wrap d-flex <?php echo esc_attr(trim(implode(' ', $content_align))) ?>">
	<a href="#kng-side-cat" <?php kng_print_html($widget->get_render_attribute_string( 'anchor' )); ?> data-target=".kng-side-cat">
	    <?php 
	        cetara_elementor_icon_render($settings,[
	            'wrap_class'   => 'kng-anchor-icon',
	            'class'        => 'lh-1',
	            'default_icon' => [
	            	'library' => 'kngi',
	            	'value'   => 'kngi-long-arrow-up'
	            ]
	        ]);
	    if($widget->get_setting('title') !== '-1'){
	    	echo '<span class="anchor-title">'.$widget->get_setting('title', 'Browse Categories').'</span>';
	    } ?>
	</a>
</div>
<?php add_action( 'kng_anchor_target', 'cetara_browse_category_anchor' ); ?>