<?php
extract($settings);
 
if ( ! empty( $settings['kng_icon'] )) {
    $widget->add_render_attribute( 'i', 'class', $settings['kng_icon'] );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
$html_id = kng_get_element_id($settings);
?>
<div class="kng-icon-text">
<?php 
if ( ! empty( $settings['kng_icon'] ) || !empty($settings['ic_text'])) { 
    ?>
    <?php 
    if ( ! empty( $settings['kng_icon'] )):
        echo '<span class="kng-icon">';
        if($is_new):
            \Elementor\Icons_Manager::render_icon( $settings['kng_icon'], [ 'aria-hidden' => 'true' ] );
        else: ?>
            <span <?php kng_print_html($widget->get_render_attribute_string( $settings['kng_icon'] )); ?>></span>
        <?php endif; 
        echo '</span>';
    endif;

    if ( ! empty( $settings['ic_text'] )):
        if(!empty($settings['item_link']['url'])): ?>
            <a <?php echo cetara_elementor_custom_link_attrs($settings, [
                    'name' => 'item_link',
                    'echo' => true,
                    'class' => ''
                ]);?>>
        <?php endif;
    ?>
        <div class="icon-text"><?php kng_print_html($settings['ic_text']) ?></div>
        <?php if(!empty($settings['item_link']['url'])): ?>
            </a>
        <?php endif; ?>
    <?php endif; ?>
    
    <?php 
}else{
    echo '<p class="no-content">'.esc_html__( 'No content','cetara' ).'</p>';
}
?>
</div> 
 