<?php
$default_settings = [
    'menu' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$html_id = kng_get_element_id($settings); 
 
?>
<div id="<?php echo esc_attr($html_id); ?>" class="kng-nav-menu kng-nav-menu2">
    <?php 
        if(!empty($menu)) { 
            wp_nav_menu(array(
                'menu_class'  => 'kng-nav-inner clearfix',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'depth'       => '1',
                'menu'        => wp_get_nav_menu_object($menu),
                'walker'      => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : ''
            ));
        } elseif( has_nav_menu( 'primary' ) ) { 
            wp_nav_menu( 
                array(
                    'theme_location' => 'primary',
                    'menu_class'     => 'kng-nav-inner clearfix',
                    'link_before'    => '<span>',
                    'link_after'     => '</span>',
                    'depth'          => '1',
                    'walker'         => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
                )
            );
        }
    ?>
</div>
 