<?php 
$default_settings = [
	'layout'	=> '1',
    'placeholder' => '',
];

$content_aligns = cetara_get_class_breakpoints($settings, [
	'prefix' => 'content_align',
	'type-prefix' => 'justify-content-',
]);

$settings = array_merge($default_settings, $settings);
extract($settings); 

?>
<div class="kng-search-wrap d-flex layout-<?php echo esc_attr($layout) ?> <?php echo esc_attr(implode(' ', $content_aligns)) ?>">
	<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<div class="kng-search-inner">
        <input type="search" class="search-field" placeholder="<?php echo esc_attr( $settings['placeholder']); ?>" value="<?php echo get_search_query(); ?>" name="s" />
        <button type="submit" class="search-submit" value=""><?php cetara_get_svg('icon-search') ?></button>
        </div>
    </form>
</div>
 