<?php 
$default_settings = [
	'layout'	=> '2',
    'placeholder' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings); 

?>
<div class="kng-search-wrap layout-<?php echo esc_attr($layout) ?>">
	<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<input type="hidden" name="post_type" value="product"/>
		<div class="kng-search-inner d-flex gutters-0">
			<div class="cat-search-wrap col-auto">
                <?php 
                if(class_exists('Woocommerce')){
                    $args = array(
                        'show_option_all'    => esc_html__('All Categories','cetara'),
                        'orderby'            => 'ID',
                        'order'              => 'ASC',
                        'show_count'         => 0,
                        'hide_empty'         => 1,
                        'child_of'           => 0,
                        'exclude'            => '',
                        'include'            => '',
                        'echo'               => 1,
                        'selected'           => 0,
                        'hierarchical'       => 1,
                        'name'               => 'product_cat',
                        'id'                 => 'p_cat',
                        'class'              => 'postform woo_cat_search',
                        'depth'              => 0,
                        'tab_index'          => 0,
                        'taxonomy'           => 'product_cat',
                        'hide_if_empty'      => false,
                        'value_field'        => 'slug',
                    );
                    wp_dropdown_categories( $args );
                }
                ?>
            </div>
			<div class="text-search-wrap col">
                <input type="search" class="search-field" placeholder="<?php echo esc_attr( $settings['placeholder']); ?>" value="<?php echo get_search_query(); ?>" name="s" />
                <button type="submit" class="search-submit" value=""><?php cetara_get_svg('icon-search') ?></button>
            </div>
        </div>
    </form>
</div>
 