<?php
/**
 * The header for our theme.
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="//gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <div id="kng-page" class="kng-page">
        <div class="kng-page-overlay"></div>
        <?php cetara_page_loading(); ?>
        <div class="kng-header-wraps"><?php cetara_header_layout(); ?></div>
        <?php cetara_page_title_layout();?>
        <div id="kng-main" class="kng-main">
        	<div class="kng-main-inner">
