<?php
/**
 * The template for displaying all single posts
 */
get_header();
$show_related   = cetara_get_theme_opt( 'post_related_on', '0' );
?>
<div class="container kng-content-container">
    <div class="row kng-content-row">
        <div id="kng-content-area" class="<?php cetara_content_css_class(['content_col'=> 'single_content_col','sidebar_pos' => 'single_sidebar_pos']); ?>">
            <?php
                while ( have_posts() )
                {
                    the_post();
                    get_template_part( 'template-parts/content-single/content', get_post_format() );
                    if ( comments_open() || get_comments_number() ){
                        comments_template();
                    }
 
                }
            ?>
        </div>
        <?php cetara_sidebar(['content_col'=> 'single_content_col','sidebar_pos' => 'single_sidebar_pos', 'inner_class' => 'pl-xl-30']); ?>
    </div>
</div>
<?php if($show_related == '1'): ?>
    <div class="kng-single-related-recent-post">
        <div class="container">
        <?php  
            cetara_related_post([
                'class'  => '',
                'before' => '',
                'after'  => '' 
            ]);
            cetara_recent_post([
                'class'  => '',
                'before' => '',
                'after'  => '' 
            ]);
        ?>
        </div>
    </div>
<?php endif; ?>
<?php
get_footer();
